GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtKernelEvent Class Reference
GTPin: Event Handling

Abstract representation of the event associated with a concrete kernel. More...

`#include <igt_event.h>`

Inherits gtpin::IGtEvent.

## Public Member Functions
virtual const IGtKernel * | Kernel () const =0
| Return Descriptor of the kernel associated with this event.

## Detailed Description

Abstract representation of the event associated with a concrete kernel.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT